// Copyright 2024 XMOS LIMITED.
// This Software is subject to the terms of the XMOS Public Licence: Version 1.
#ifndef _XUA_CONF_H_
#define _XUA_CONF_H_

#define XUD_TILE (0)
#define AUDIO_IO_TILE (1)

#define MCLK_441 (512 * 44100)
#define MCLK_48 (512 * 48000)


#define PRODUCT_STR "USB Audio DFU"
#define PID_AUDIO_2 (0x0016)
#define DFU_PID     (0xd000 + PID_AUDIO_2)

#ifndef BCD_DEVICE
#error BCD_DEVICE must be defined in APP_COMPILER_FLAGS_<cfg>
#endif

#define NUM_USB_CHAN_IN  (2)
#define NUM_USB_CHAN_OUT (2)
#define I2S_CHANS_DAC    (2)
#define I2S_CHANS_ADC    (2)

#include "user_main.h"

#endif
